﻿using Orchard.Environment.Extensions;
using Orchard.ContentManagement.Handlers;
using Orchard.Data;

namespace FruitCake.SimpleGallery.Handlers
{

    [OrchardFeature("FruitCake.SimpleGallery")]
    public class SimpleGalleryPartHandler : ContentHandler {

        public SimpleGalleryPartHandler(IRepository<Models.SimpleGalleryPartRecord> partRepository) {
            Filters.Add(StorageFilter.For(partRepository));
        }

    }
}